net.dontdrinkandroot.cache.impl.disk.indexed.storage

## Class AllocationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - net.dontdrinkandroot.cache.impl.disk.indexed.storage.AllocationException

All Implemented Interfaces:
  Serializable

    public class AllocationException
    extends IOException

Exception that denotes that the allocation of a block failed.

Author:
  Philip W. Sorst <philip@sorst.net>
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`AllocationException(String msg)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AllocationException

    public AllocationException(String msg)